summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson2020-11-03 23:19:21 +0100
committer Willy Sudiarto Raharjo2020-11-07 08:02:33 +0100
commit0a4a3c9e4f31e979b45e7be50434f2238da525e1 (patch)
tree171aebfe0796c1a17333fd7cd56681026ab09e67 /audio
parentbbe431b92004cefc8dd938778b99b12052ab4264 (diff)
downloadslackbuilds-0a4a3c9e4f31e979b45e7be50434f2238da525e1.tar.gz
audio/podget: Updated for version 0.8.7, various fixes.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/podget/README18
-rw-r--r--audio/podget/podget.SlackBuild34
-rw-r--r--audio/podget/podget.info6
-rw-r--r--audio/podget/slack-desc14
4 files changed, 43 insertions, 29 deletions
diff --git a/audio/podget/README b/audio/podget/README
index a97ac2dfd7..223d03e9c1 100644
--- a/audio/podget/README
+++ b/audio/podget/README
@@ -1,10 +1,16 @@
+podget (simple podcast aggregator)
+
Podget is a simple podcast aggregator optimized for running as
-a scheduled background job (i.e. cron). It features support for
-downloading podcasts from RSS & XML feeds, for sorting the files into
-folders & categories, for importing URLs from iTunes PCAST files & OPML
-lists automatic M3U & ASX playlist creation, and automatic cleanup of
-old files. It also features automatic UTF-16 conversion for podcasts
-hosted on MS Windows servers.
+a scheduled background job (i.e. cron). It features support for:
+
+- Downloading podcasts from RSS and ATOM XML feeds.
+- Sorting the files into folders and categories.
+- Importing URLs from iTunes PCAST files and OPML lists.
+- Automatic M3U & ASX playlist creation.
+- Cleanup of old files.
+- Automatic UTF-16 conversion for feeds hosted on MS Windows servers.
Run podget once to install the configuration files to $HOME/.podget,
and then customize them there.
+
+See /usr/doc/podget-*/scripts for additional helper scripts.
diff --git a/audio/podget/podget.SlackBuild b/audio/podget/podget.SlackBuild
index 2e8feac7f0..10bef95b61 100644
--- a/audio/podget/podget.SlackBuild
+++ b/audio/podget/podget.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for podget
-# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2008-2010, Antonio Hernández Blas <email removed>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -21,11 +21,13 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20201103 bkw:
+# - update for v0.8.7
+# - fix CRLF removal
+# - redo README and slack-desc
# 20200619 bkw: BUILD=2, apparently nobody (including me) ever noticed
# that v0.8.6 didn't actually work on Slackware 14.2.
-
# 20191130 bkw: update for v0.8.6
-
# 20170712 bkw:
# - Take over as maintainer
# - Update for v0.8.5
@@ -33,8 +35,8 @@
# - Minor cleanups
PRGNAM=podget
-VERSION=${VERSION:-0.8.6}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-0.8.7}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
ARCH=noarch
@@ -57,29 +59,35 @@ find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
\! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
# 20170712 bkw: get rid of DOS/Win line endings.
+# 20201103 bkw: turns out there's an embedded \r in podget that's
+# supposed to be there, so the regex becomes \r$ instead of \r.
find . -type f | \
xargs file | \
grep 'ASCII.*LF' | \
cut -d: -f1 | \
- xargs sed -i 's,\r,,' \
+ xargs sed -i 's,\r$,,' \
|| true
-make -j1 prefix=/usr DESTDIR=$PKG install
-
# 20200619 bkw: 14.2's creaky old bash 4.3 doesn't support
# inherit_errexit, which is a feature of bash 4.4 and up. The sed
# command below allows the script to run without it, which will change
# some of the error handling a bit, but won't actually break anything
# when there *aren't* errors. Previous versions of podget got along just
# fine without inherit_errexit...
-sed -i '/shopt.*-s.*inherit_errexit *$/s,$, &>/dev/null || true,' \
- $PKG/usr/bin/$PRGNAM
+# 20201103 bkw: upstream added checking code, this had to change some.
+sed -i '/shopt *inherit_errexit/,/shopt *-s *inherit_errexit/s,^,## ,' \
+ $PRGNAM
+
+# 20201103 bkw: change hardcoded paths
+sed -i \
+ -e "s,share/man,man,g" \
+ -e "s,share/doc/$PRGNAM,doc/$PRGNAM-$VERSION," \
+ Makefile
-mv $PKG/usr/share/man $PKG/usr/man
-rm -rf $PKG/usr/share
+make -j1 prefix=/usr DESTDIR=$PKG install
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/scripts
-cp -a COPYING Changelog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
cp -r SCRIPTS/* $PKG/usr/doc/$PRGNAM-$VERSION/scripts
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/audio/podget/podget.info b/audio/podget/podget.info
index 2365d047ff..4b89f0738b 100644
--- a/audio/podget/podget.info
+++ b/audio/podget/podget.info
@@ -1,8 +1,8 @@
PRGNAM="podget"
-VERSION="0.8.6"
+VERSION="0.8.7"
HOMEPAGE="http://podget.sourceforge.net/index.php"
-DOWNLOAD="http://downloads.sourceforge.net/podget/podget-0.8.6.tar.gz"
-MD5SUM="233d642f7fa3e0127ada4742166af159"
+DOWNLOAD="http://downloads.sourceforge.net/podget/podget-0.8.7.tar.gz"
+MD5SUM="2b637cdebedd4e170dacb69bab1ec5db"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/audio/podget/slack-desc b/audio/podget/slack-desc
index 16ee735995..cae6760e6f 100644
--- a/audio/podget/slack-desc
+++ b/audio/podget/slack-desc
@@ -9,11 +9,11 @@
podget: podget (simple podcast aggregator)
podget:
podget: Podget is a simple podcast aggregator optimized for running as a
-podget: scheduled background job (i.e. cron). It features support for
-podget: downloading podcasts from RSS & XML feeds, for sorting the files into
-podget: folders & categories, for importing URLs from iTunes PCAST files &
-podget: OPML lists, M3U & ASX playlist creation, and cleanup of old files.
-podget:
+podget: scheduled background job (i.e. cron). It features support for:
+podget: - Downloading podcasts from RSS and ATOM XML feeds.
+podget: - Sorting the files into folders and categories.
+podget: - Importing URLs from iTunes PCAST files and OPML lists.
+podget: - Automatic M3U & ASX playlist creation.
+podget: - Cleanup of old files.
+podget: - Automatic UTF-16 conversion for feeds hosted on MS Windows servers.
podget: See /usr/doc/podget-*/scripts for additional helper scripts.
-podget:
-podget: Homepage: http://podget.sourceforge.net/index.php